<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>SireneWorkingPlace</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.insee, class: SireneWorkingPlace">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":9,"i2":9,"i3":10,"i4":10,"i5":10,"i6":9,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SireneWorkingPlace.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.insee</a></div>
<h1 title="Class SireneWorkingPlace" class="title">Class SireneWorkingPlace</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance"><a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.POI</a>
<div class="inheritance"><a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">fr.ici.dataImporter.insee.SireneEntry</a>
<div class="inheritance">fr.ici.dataImporter.insee.SireneWorkingPlace</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../util/CSVable.html" title="interface in fr.ici.dataImporter.util">CSVable</a></code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">SireneWorkingPlace</span>
extends <a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></pre>
<div class="block">Represents a place declared for having an economic or associative activity. Not every working place have full time workers.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.insee.SireneEntry">Fields inherited from class&nbsp;fr.ici.dataImporter.insee.<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></h3>
<code><a href="SireneEntry.html#completeAddress">completeAddress</a>, <a href="SireneEntry.html#gf">gf</a>, <a href="SireneEntry.html#nomenclatureFile">nomenclatureFile</a>, <a href="SireneEntry.html#siret">siret</a>, <a href="SireneEntry.html#sorting">sorting</a>, <a href="SireneEntry.html#workforce">workforce</a>, <a href="SireneEntry.html#workforceReadable">workforceReadable</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#address">address</a>, <a href="../iciObjects/POI.html#attendance">attendance</a>, <a href="../iciObjects/POI.html#attendanceIndice">attendanceIndice</a>, <a href="../iciObjects/POI.html#capacity">capacity</a>, <a href="../iciObjects/POI.html#codeINSEE">codeINSEE</a>, <a href="../iciObjects/POI.html#codePost">codePost</a>, <a href="../iciObjects/POI.html#idBuilding">idBuilding</a>, <a href="../iciObjects/POI.html#lSource">lSource</a>, <a href="../iciObjects/POI.html#nAddress">nAddress</a>, <a href="../iciObjects/POI.html#name">name</a>, <a href="../iciObjects/POI.html#nomenclature">nomenclature</a>, <a href="../iciObjects/POI.html#openingHour">openingHour</a>, <a href="../iciObjects/POI.html#openLockdownMarch20">openLockdownMarch20</a>, <a href="../iciObjects/POI.html#openLockdownNov20">openLockdownNov20</a>, <a href="../iciObjects/POI.html#p">p</a>, <a href="../iciObjects/POI.html#potentialArea">potentialArea</a>, <a href="../iciObjects/POI.html#typeCodeSource">typeCodeSource</a>, <a href="../iciObjects/POI.html#typeNameIci">typeNameIci</a>, <a href="../iciObjects/POI.html#typeNameSource">typeNameSource</a>, <a href="../iciObjects/POI.html#typeRoad">typeRoad</a>, <a href="../iciObjects/POI.html#valid">valid</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#DEBUG">DEBUG</a>, <a href="../iciObjects/ICIObject.html#rdGen">rdGen</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">SireneWorkingPlace</a></span>&#8203;(java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce)</code></th>
<td class="col-last">
<div class="block">Create a new SireneWorkingPlace object</div>
</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point,double)">SireneWorkingPlace</a></span>&#8203;(java.lang.String&nbsp;ID,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
java.lang.String&nbsp;workforceReadable,
java.lang.String&nbsp;rstOuv0314,
java.lang.String&nbsp;rstOuv1030,
org.locationtech.jts.geom.Point&nbsp;p,
double&nbsp;potentialArea)</code></th>
<td class="col-last">
<div class="block">Create an already existing and exported SireneWorkingPlace object</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SireneWorkingPlace</a></span>&#8203;(java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">
<div class="block">Create a new SireneWorkingPlace object</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#equals(java.lang.String%5B%5D)">equals</a></span>&#8203;(java.lang.String[]&nbsp;line)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportListWP(java.util.List,java.io.File)">exportListWP</a></span>&#8203;(java.util.List&lt;? extends <a href="SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a>&gt;&nbsp;lWP,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Write a list of POI in a geographic collection</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getCSVFirstLine()">getCSVFirstLine</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLineForCSV()">getLineForCSV</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getWorkforce()">getWorkforce</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getWorkforceReadable()">getWorkforceReadable</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static java.util.List&lt;<a href="SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importSireneWorkingPlace(java.io.File)">importSireneWorkingPlace</a></span>&#8203;(java.io.File&nbsp;wpFile)</code></th>
<td class="col-last">
<div class="block">Import WorkingPlace objects from an already generated file.</div>
</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.insee.SireneEntry">Methods inherited from class&nbsp;fr.ici.dataImporter.insee.<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></h3>
<code><a href="SireneEntry.html#generateSireneSimpleFeature()">generateSireneSimpleFeature</a>, <a href="SireneEntry.html#getAverageWorkingForce(int)">getAverageWorkingForce</a>, <a href="SireneEntry.html#getAverageWorkingForce(org.opengis.feature.simple.SimpleFeature)">getAverageWorkingForce</a>, <a href="SireneEntry.html#getRandomWorkingForce(int)">getRandomWorkingForce</a>, <a href="SireneEntry.html#getSireneSFB()">getSireneSFB</a>, <a href="SireneEntry.html#isActive(java.lang.String)">isActive</a>, <a href="SireneEntry.html#makeSorting()">makeSorting</a>, <a href="SireneEntry.html#makeWorkforceSum(org.geotools.data.simple.SimpleFeatureCollection)">makeWorkforceSum</a>, <a href="SireneEntry.html#normalizeCodeAmenity(java.lang.String)">normalizeCodeAmenity</a>, <a href="SireneEntry.html#transformWorkforce(java.lang.String,boolean)">transformWorkforce</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft</a>, <a href="../iciObjects/POI.html#canBeDoubled()">canBeDoubled</a>, <a href="../iciObjects/POI.html#canBeDoubled(java.io.InputStream)">canBeDoubled</a>, <a href="../iciObjects/POI.html#delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">delDouble</a>, <a href="../iciObjects/POI.html#exportListPOI(java.util.List,java.io.File)">exportListPOI</a>, <a href="../iciObjects/POI.html#generateAttendanceCode(java.lang.String)">generateAttendanceCode</a>, <a href="../iciObjects/POI.html#generateSimpleFeature()">generateSimpleFeature</a>, <a href="../iciObjects/POI.html#getAttendance()">getAttendance</a>, <a href="../iciObjects/POI.html#getIciAmenity(java.lang.String,java.lang.String)">getIciAmenity</a>, <a href="../iciObjects/POI.html#getIdentification()">getIdentification</a>, <a href="../iciObjects/POI.html#getSFB()">getSFB</a>, <a href="../iciObjects/POI.html#importPOI(java.io.File)">importPOI</a>, <a href="../iciObjects/POI.html#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources</a>, <a href="../iciObjects/POI.html#isValid()">isValid</a>, <a href="../iciObjects/POI.html#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a>, <a href="../iciObjects/POI.html#setPotentialArea(double)">setPotentialArea</a>, <a href="../iciObjects/POI.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="../iciObjects/ICIObject.html#getID()">getID</a>, <a href="../iciObjects/ICIObject.html#getType()">getType</a>, <a href="../iciObjects/ICIObject.html#hashCode()">hashCode</a>, <a href="../iciObjects/ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">
<h3>SireneWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SireneWorkingPlace</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce)</span>
                   throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Create a new SireneWorkingPlace object</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>SireneWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SireneWorkingPlace</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</span>
                   throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Create a new SireneWorkingPlace object</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point,double)">
<h3>SireneWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SireneWorkingPlace</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
java.lang.String&nbsp;workforceReadable,
java.lang.String&nbsp;rstOuv0314,
java.lang.String&nbsp;rstOuv1030,
org.locationtech.jts.geom.Point&nbsp;p,
double&nbsp;potentialArea)</span></div>
<div class="block">Create an already existing and exported SireneWorkingPlace object</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importSireneWorkingPlace(java.io.File)">
<h3>importSireneWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a>&gt;</span>&nbsp;<span class="member-name">importSireneWorkingPlace</span>&#8203;(<span class="parameters">java.io.File&nbsp;wpFile)</span>
                                                                   throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import WorkingPlace objects from an already generated file.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>wpFile</code> - the geo file exported with the <a href="../iciObjects/POI.html#exportListPOI(java.util.List,java.io.File)"><code>POI.exportListPOI(List, File)</code></a>} method.</dd>
<dt>Returns:</dt>
<dd>a fist of <a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a> objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - from getDataStore</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportListWP(java.util.List,java.io.File)">
<h3>exportListWP</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">exportListWP</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a>&gt;&nbsp;lWP,
java.io.File&nbsp;fileOut)</span>
                         throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Write a list of POI in a geographic collection</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lWP</code> - list of POI</dd>
<dd><code>fileOut</code> - File to be wrote</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Write GeoFile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getCSVFirstLine()">
<h3>getCSVFirstLine</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">getCSVFirstLine</span>()</div>
</section>
</li>
<li>
<section class="detail" id="equals(java.lang.String[])">
<h3>equals</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">equals</span>&#8203;(<span class="parameters">@NotNull
java.lang.String[]&nbsp;line)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="SireneEntry.html#equals(java.lang.String%5B%5D)">equals</a></code>&nbsp;in class&nbsp;<code><a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getLineForCSV()">
<h3>getLineForCSV</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">getLineForCSV</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getWorkforce()">
<h3>getWorkforce</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getWorkforce</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getWorkforceReadable()">
<h3>getWorkforceReadable</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getWorkforceReadable</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SireneWorkingPlace.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
